package com.pangolin.data.receiver.controller;

import com.pangolin.data.receiver.bean.ApiResponse;
import com.pangolin.data.receiver.bean.CrawlerResult;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.*;

import javax.servlet.http.HttpServletRequest;
import java.io.IOException;

@RestController
@Slf4j
@RequestMapping("/data")
public class DataController {

    @PostMapping("/receive")
    public ApiResponse<String> receive(HttpServletRequest request, @RequestBody CrawlerResult crawlerResult) throws IOException {

        //输入请求头
        log.info(request.getHeader("k1"));

        //输出数据
        log.info(crawlerResult.getData());

        return ApiResponse.success();
    }
}
